Bug 1008319 - ERROR message showed in engine.log as INFO message
ERROR message showed in engine.log as INFO message
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Eli Mesika
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-16 03:08 EDT by Artyom
Modified: 2016-02-10 14:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-18 10:28:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Artyom 2013-09-16 03:08:47 EDT
Description of problem:
ERROR message showed in engine.log as INFO message
For example:
2013-09-16 09:48:17,553 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler_Worker-22) Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: VM vm_1 is down. Exit message: internal error process exited while connecting to monitor: ((null):21350): Spice-Warning **: reds.c:3236:reds_init_ssl: Could not load certificates from /etc/pki/vdsm/libvirt-spice/server-cert.pem
failed to initialize spice server.

Version-Release number of selected component (if applicable):
rhevm - is14, rhel6.5
host - vdsm-4.12.0-127.gitedb88bf.el6ev.x86_64, rhel6.5

How reproducible:
Always for this error case

Steps to Reproduce:
1. try to run vm on host with spice as console

Actual results:
ERROR message showed in engine.log as INFO message

Expected results:
ERROR message showed in engine.log as ERROR message

Additional info:
Comment 1 Arthur Berezin 2013-09-22 15:12:13 EDT
Artyom, When does is this message triggered, on what event?
Does the VM actually start/running ?
Comment 2 Artyom 2013-09-23 02:05:13 EDT
Message triggered when I try to start vm, vm is not running
it's bug that up this message:
Comment 3 Eli Mesika 2013-11-18 10:28:11 EST
The descision if to generate a INFO or ERROR event depends on the way the VM went down , if it failed to run or failed after migration , it will be logged as an ERROR message , if Vm moved safely to down status it will be and INFO message 
This status is kep inside the VmDynamic class ExitStatus property.

In other words, the message relates to the status of the VM after getting to the DOWN state.

Note You need to log in before you can comment on or make changes to this bug.